Subject: Re: Git Bug Report: git add --patch > "e" makes keyboard unresponsive

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Apr 2024 21:24:32 -0700

Dan Demp <[email-masked]> writes:

[do not top-post]

>> ... I would expect that there may be something more than a silly
>> "the editor is running elsewhere and the user is stuck, expecting
>> something to happen but the editor is waiting for the user" problem
>> here.  For example, could there be funny interaction with "single
>> key" mode with editor on Windows (which I do not use myself but I
>> think I saw the word in the original report)?  Is the configuration
>> "interactive.singlekey" enabled?
>
> To be clear, I did close the editor, at which point Git Bash shows me
> the next diff and asks me to choose an option (y, n, a, d, ...). It's
> at that point the keyboard is unresponsive. Not while the editor is
> still open.

Brian's comment was only concentrating on the possibility that an
editor is still open as his first probing effort; I suspected there
was something more than that going on (e.g., after closing the
editor, the control is still stuck), which you just confirmed.

Thanks for confirming my suspicion.

After this point, it is beyond what I know about the platform, and
I'll leave it to "Git for Windows" folks to take further look.

Thanks.